GNUNETD(1)

NAME
gnunetd - The GNUnet daemon

SYNOPSIS
gnunetd [OPTIONS]

DESCRIPTION

The GNUnet daemon, required for any GNUnet operations (searches, downloads, etc). gnunetd does not require root rights.

-c FILENAME, --config=FILENAME
    load config file (default: /etc/gnunet.conf)

-d, --debug
    do not detach from the console (for debugging); log messages are written to stderr in addition to the logfile.

-h, --help
    print help page

-l, --loud
    print all log messages (to stderr). Only works together with the -d option. Also disables logging to files.

-L LOGLEVEL, --loglevel=LOGLEVEL
    change the loglevel. Possible values for LOGLEVEL are NOTHING, FATAL, ERROR, WARNING, INFO, STATUS and DEBUG. Note that options in the configuration file take precedence over this option (the argument will be ignored in that case).

-u USER, --user=USER
    run as user USER (and if available as group USER). Note that to use this option, you will probably have to start gnunetd as root. It is typically better to directly start gnunetd as that user instead.

-v, --version
    print the version number

NOTES
Before you can share, search or download files from GNUnet you must start the GNUnet server, gnunetd. If you start gnunetd as root (which is not required), you can use the -u option such that GNUnet runs as a different user. If a group of the same name exists, GNUnet will also change to that group. If GNUnet cannot change its UID to USER or GID to USER, a warning will be printed and gnunetd will *continue* with the rights of the user that invoked gnunetd.

FILES

/etc/gnunet.conf
    gnunetd configuration file (default location).

/var/lib/GNUnet/.hostkey
    Nodes GNUnet RSA private key. Keep secret.

/var/lib/GNUnet/data/hosts/
    Hostkeys. GNUnet stores contact information and public keys of other nodes here. You may want to make this directory publically available.

/var/lib/GNUnet/data/fs/
    Shared content (and indexing information) is stored in this directory.

/var/lib/GNUnet/data/credit/
    Trust directory. GNUnet stores economic information about other nodes here, in particular how much useful data we have received from which remote node.

REPORTING BUGS
Report bugs by using mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>

SEE ALSO
gnunet-gtk(1), gnunet-insert(1), gnunet-search(1), gnunet-download(1), gnunetd.conf(5), gnunetd(1)